Package Base Details: linux-nitrous

Git Clone URL: https://aur.archlinux.org/linux-nitrous.git (read-only, click to copy)
Keywords: clang clearlinux hardened kernel linux optimized wireguard zen
Submitter: superboringdev
Maintainer: superboringdev
Last Packager: superboringdev
Votes: 7
Popularity: 0.22
First Submitted: 2019-11-05 16:41
Last Updated: 2021-04-16 14:28

Pinned Comments

superboringdev commented on 2020-03-23 19:25

The prebuilt kernel is built using Clang/LLVM 11.

The linux-nitrous binary package can be installed by adding following lines to your /etc/pacman/pacman.conf:

[linux-nitrous]
Server = https://github.com/xdevs23/linux-nitrous/releases/latest/download/

Then you can install the package using your AUR helper or pacman (e. g. sudo pacman -Syu linux-nitrous linux-nitrous-headers)

You probably need to add my key before being able to install my packages:

sudo pacman-key --recv-keys E9C2DECAC962CB3AF1376D44148A9E3C9C3E3BF0
sudo pacman-key --lsign-key E9C2DECAC962CB3AF1376D44148A9E3C9C3E3BF0

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

superboringdev commented on 2020-04-15 21:10

pkgrel updated.

SpineEyE commented on 2020-04-15 21:08

Thanks, although you should update the pkgrel

superboringdev commented on 2020-04-15 18:48

It's fixed now.

superboringdev commented on 2020-04-15 17:42

@SpineEyE I will fix that, thanks for letting me know.

SpineEyE commented on 2020-04-15 17:27

Am I the only one getting failed checksum for linux-nitrous.preset?

superboringdev commented on 2020-04-06 16:03

You're welcome. As always, you can download any version you'd like from here: https://github.com/xdevs23/linux-nitrous/releases

as that is where the binary versions are uploaded to

dedguy21 commented on 2020-04-06 16:01

Got it... Well thanks for keeping that fallback this week :)

superboringdev commented on 2020-04-06 15:56

@dedguy21

linux-nitrous (AUR) is supposed to be the same as linux-nitrous (pacman repository) just that the AUR version is compiled from source.

This one still being 5.5.11 is a coincidence because I did not actually intend to keep this one at 5.5 but since nvidia was causing some problems it was better to keep this one as is.

linux-nitrous-git is the development version (which most of the times is the same as this one)

I will update this one now. Usually, the AUR and pacman binary versions are the exact same versions and updated at the same time.

superboringdev commented on 2020-04-06 15:44

Good news! The nvidia-dkms package has been updated to patch the driver for Linux 5.6. Now you can use that as usual.

If you installed the driver manually, start the installer with the --uninstall flag from a TTY, making sure there are no GPU applications running.

superboringdev commented on 2020-04-03 07:05

@dedguy21 the nvidia driver does not appear to be compatible with Linux 5.6 (it is with an early version of 5.6-rc). Please try one of the following solutions/workarounds:

My workaround (don't do this if you don't know what you're doing, this might mess up future nvidia driver installation procedures and you should know how to revert that before continuing):

Download the latest NVIDIA Vulkan 1.2 Developer Beta (e. g. 440.66.08) and put it into some subdirectory, let's say ~/nvidia

Run following commands:

$ cd ~/nvidia
$ wget -O kernel-5.6.patch https://gitlab.com/snippets/1945940/raw
$ sh ./*.run -x
$ cd NVIDIA*
$ patch -p1 -i ../kernel-5.6.patch

now log out and switch to a tty using CTRL+ALT+F<n> (e. g. CTRL+ALT+F3) and log in there.

$ sudo systemctl disable --now gdm # replace gdm with your display manager, e. g. sddm, lightdm, whatever it is or stop it manually. this command will stop your display manager and log you out of all DM sessions

If you have nouveau installed, make sure it's disabled! If you have any other nvidia driver installed, uninstall them now.

Now reboot and you will be greeted with a TTY. Log in there and do the following:

$ cd ~/nvidia/NVIDIA*
$ ./nvidia-installer --dkms

Follow all the steps. It will probably fail but no reason to worry.

Make sure you have clang installed!

Now edit /var/lib/dkms/nvidia/440.66.08/source/dkms.conf and replace the corresponding line with this one:

MAKE[0]="'make' -j4 NV_EXCLUDE_BUILD_MODULES='' KERNEL_UNAME=${kernelver} IGNORE_CC_MISMATCH=1 CC=clang HOSTCC=clang modules"

the crucial part is IGNORE_CC_MISMATCH=1 CC=clang HOSTCC=clang

Now run sudo pacman -S linux-nitrous-headers (or equivalent) to rebuild the DKMS modules. In case it fails again, make sure the dkms.conf file still has the changes and run the dkms command that pacman provides manually, for example:

sudo dkms install nvidia/440.66.08 -k 5.6.2-nitrous+

After this the driver is fully installed and you can enable your DM again, e. g.:

sudo systemctl enable gdm

Now reboot.